@import 'partials/variables';
@import "partials/colors";

@mixin titleFont {
  font-size: $title_font_size;
  font-weight: bold;
  color: #000;
  margin-bottom: 20px;
  display: block;
}

@mixin btn {
  font-size: $font_size;
  border: none;
  outline: none;
  border-radius: $border_radius;
  padding: 5px 15px;
  background: linear-gradient(to right bottom, #3fffbc, #00e8e5, #00cbff, #00a8ff, #007bff);
  color: white !important;
}

*:focus {
  outline: none !important;
}

a {
  color: $font-color;
}

h1 {
  font-size: 2vw;
}

h2 {
  font-size: 1vw;
}

pre {
  font-family: IRANSans !important;
}

.form-control:disabled, .form-control[readonly] {
  background-color: #dddddd;
}

.bg-nikaro {
  background: $nikaro-color;
}

.bg-primary, .btn-primary {
  background-color: $nikaro-primary;
  border-color: $nikaro-primary;
  color: #ffffff;
  cursor: pointer;
}

.btn-outline-primary {
  color: $nikaro-primary;
  border-color: $nikaro-primary;
  font-family: "IRANSans";
}

.text-primary {
  color: $nikaro-primary;
}

.text-black {
  color: #000;
}

.sectionTitlePrimary {
  font-size: 14px;
}

.sectionTitleSecondary {
  font-size: 12px;
}

.searchFix {
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  z-index: 999;
}

.rate-aware .btn-outline {
  color: #808080;
  border: solid 1px #808080;
  cursor: pointer;

  &:hover {
    background-color: #dddddd;
  }
}

.toast-top-center {
  text-align: justify !important;
  width: 100% !important;
  top: 10% !important;
}

.leaflet-pane {
  z-index: 0 !important;
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  font-size: $font_size;
  text-indent: 10px;
}

.MuiTooltip-tooltip {
  font-family: IRANSans !important;
  font-size: 11px !important;
  line-height: 20px !important;
  text-align: justify !important;
  margin: 0 !important;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

#loading {
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  z-index: 9999999999999999;
  background-color: rgba(0, 0, 0, 0.8);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  svg {
    overflow: visible;
  }

  .item {
    overflow: visible;
    stroke: #fff;
    stroke-width: .5;
    stroke-linejoin: round;
    stroke-linecap: round;
  }
}

body {
  margin: 0;
  padding: 0;
  direction: rtl;
  color: $font-color;
  font-family: IRANSans !important;
  font-size: $font_size !important;
}

header {
  position: fixed;
  top: 0;
  right: 0;
  width: 100%;
  height: 8vh;
  z-index: 999;

  .not-home {
    box-shadow: 0 0 20px -10px #000000;
  }

  .top-nav {
    height: 100%;
    align-items: center;
    padding: 0 10%;

    .logo {
      height: 100%;

      a {
        width: 100%;

        img {
          width: 80%;
        }
      }

    }

    .menu {
      height: 100%;

      ul {
        position: relative;
        margin: 0;

        li {
          margin: 0 30px;

          .dropdown {
            .dropdown-menu {
              text-align: right;

              .dropdown-item:active {
                border: none;
                background: none;
              }
            }

            button {
              background: $nikaro-color;
              border: none;
              border-radius: 50%;

              &:after {
                display: none !important;
              }

              img {
                width: 17px;
              }
            }
          }
        }

        .topVector {
          position: absolute;
          right: 17%;
          top: 38%;
          width: 40px;
        }
      }

      button {
        font-size: $font_size !important;
      }

      .circle {
        border: solid 2px $nikaro-color;
        padding: 5px;
        border-radius: 50%;
        background-color: white;
        margin-right: 30px;
        cursor: pointer;

        img {
          width: 30px;
        }
      }
    }

    .mobile_menu_btn i {
      font-size: 30px;
      color: $nikaro-primary;
    }

  }

  ul {
    text-decoration: none;

    li {
      display: inline-block;
    }
  }
}

#loginRegisterModal, #completeProfileModal {
  .modal-header {
    border-bottom: none;

    h5 {
      margin: 0 auto;

      hr {
        width: 100%;
        background: $nikaro-color;
        height: 2px;
        border: none;
        outline: none;
      }
    }

    button {
      position: absolute;
      left: 15px;
    }
  }

  form {
    display: flex;
    flex-direction: column;
    text-align: center;
    padding: 0 5%;

    .help-block {
      color: red;
      text-align: right;
      display: block;
    }

    input[type='number'], input[type='password'], input[type='text'], .react-select__control {
      width: 100%;
      border: 1px solid #afafaf;
      margin-top: 15px;
      border-radius: 5px;

      &:focus {
        border: 1px solid #007aff;
        box-shadow: none;
      }
    }

    .check {
      margin-top: 15px;

      input {
        vertical-align: -2px;
        margin-left: 10px;
      }
    }

    button {
      margin-bottom: 10px;
    }
  }
}

#registrationConfirmModal {
  form {
    display: flex;
    flex-direction: column;
    text-align: center;
    padding: 0 5%;

    .help-block {
      color: red;
      text-align: right;
      display: block;
    }

    input[type='number'], input[type='password'], input[type='text'], .react-select__control {
      width: 100%;
      border: 1px solid #afafaf;
      margin-top: 15px;
      border-radius: 5px;

      &:focus {
        border: 1px solid #007aff;
        box-shadow: none;
      }
    }

    .check {
      input {
        vertical-align: -2px;
        margin-left: 10px;
      }
    }

    button {
      margin-bottom: 10px;
    }
  }
}

#home {
  section {
    height: 100vh;
  }

  hr {
    height: 3px;
    background: $nikaro-color;
    border: none;
    outline: none;
    border-radius: $border_radius;
    width: 5%;
  }

  .intro {
    height: calc(var(--vh, 1vh) * 100);
    position: relative;

    .vector {
      text-align: right;

      img {
        width: 70%;
      }
    }

    .scrollSvg {
      position: absolute;
      width: 2%;
      bottom: 10px;
      right: 50%;
      transform: translateX(50%);

      rect {
        fill: none;
        stroke: $font-color;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 1.39244332186242px
      }

      line {
        fill: none;
        stroke: $font-color;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 1.39244332186242px
      }

      .chevron {
        fill: none;
        stroke: $font-color;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 1.39244332186242px;
        -webkit-animation: mover 1s infinite alternate;
        animation: mover 1s infinite alternate;
      }
    }

    .text {
      flex-direction: column;
      text-align: right;

      .btn {
        @include btn;
      }
    }

    form {
      width: 100%;
      position: relative;

      .form-group {
        position: relative;
      }

      .react-autosuggest__suggestions-container--open {
        display: block;
        position: absolute;
        right: 50%;
        transform: translateX(50%);
        width: 85%;
        background-color: #f8f8f8;
        font-weight: 300;
        font-size: 16px;
        border: none;
        border-radius: 10px;
        z-index: 2;
        padding: 15px 0;
        color: #000;

        ul {
          width: 100%;
          padding: 0;
          list-style: none;

          .react-autosuggest__suggestion--highlighted {
            background-color: #ddd;
          }

          li {
            width: 100%;
            cursor: pointer;

            .suggestion {
              padding: 5px 15px;
              text-align: right;
              display: block;
              width: 100%;
              border-bottom: 3px #dddddd solid;
            }

            .suggestion:hover {
              background-color: #dddddd;
            }

            .react-autosuggest__suggestion-match {
              color: $nikaro-primary;
              font-weight: bold;
            }
          }
        }

      }

      input {
        margin-top: 40px;
        padding: 25px 20px;
        border-radius: 25px;
      }

      .searchIcon {
        position: absolute;
        top: 5px;
        left: 15px;
        cursor: pointer;
        width: auto !important;
        height: 80% !important;

      }
    }
  }

  .campaigns {
    align-items: center;
    justify-content: center;
    height: calc(var(--vh, 1vh) * 100);
    position: relative;

    .banner {
      position: absolute;
      left: 0;
      top: 0;
      padding-top: 8vh;
      width: 65%;
      height: 100%;
      background-color: #0f0134;

      img {
        width: 100%;
        height: 100%;
        object-fit: contain;
        object-position: center;
      }
    }

    .offer {
      position: absolute;
      right: 0;
      top: 0;
      padding-top: 8vh;
      width: 35%;
      height: 100%;
      object-fit: contain;
      background-color: #00918e;
    }

    .offerData {
      position: absolute;
      right: 30px;
      top: 55%;
      width: 30%;
      height: 300px;

      h4 {
        font-size: 1.5vw;
      }

      .countDown {
        width: 14vw;
        font-size: 17px;

        .timer {
          span {
            width: 25%;
            color: white;

            &:not(:first-child) {
              border-right: solid 1px #fff;
            }
          }
        }

        .counterText {
          width: 25%;
          font-size: 12px;
        }
      }

      .shortInfo {
        width: 100%;

        .icon {
          font-size: 3vw;
        }
      }
    }
  }

  .values-courses {
    height: calc(var(--vh, 1vh) * 100);
    padding-top: 8vh;

    .why-nikaro {
      .values-vector {
        width: 60%;
        margin: 0 auto;

        img {
          width: 50px;
          display: block;
          margin: 0 auto;
          height: 50px;
        }

        span {
          display: block;
          margin-top: 20px;
          color: $nikaro-primary
        }
      }
    }

    .courses {
      padding: 10px 5%;

      .courseCarousel {
        width: 100%;

        .carousel {
          width: 100%;

          .course {
            width: 25%;
            height: 400px;
            margin: 1%;
            border-radius: $border_radius;
            box-shadow: 0 0 15px -7px #000;
            overflow: hidden;

            .header {
              width: 100%;
              height: 35%;
              position: relative;

              .item-header-img {
                width: 100%;
                height: 100%;
                z-index: 100;
                object-fit: contain;
                object-position: top;
              }

              .item-header-img-2 {
                position: absolute;
                width: 100%;
                height: 100%;
                right: 0;
                top: 0;
                z-index: -1;
                object-fit: cover;
                object-position: center;
                filter: blur(4px);
              }

              .teacher-pic {
                width: 70px;
                height: 70px;
                object-fit: cover;
                object-position: top;
                position: absolute;
                right: 50%;
                transform: translateX(50%);
                top: 75%;
              }

              .discount {
                width: 65px;
                height: 200px;
                background-color: red;
                position: absolute;
                right: -15px;
                top: -80px;
                transform: rotateZ(-45deg);

                span {
                  transform: rotateZ(45deg);
                  position: absolute;
                  top: 85px;
                  right: 30px;
                  font-size: 17px;
                }
              }

              .virtualBadge {
                width: 65px;
                height: 200px;
                position: absolute;
                left: -15px;
                top: -80px;
                transform: rotateZ(45deg);

                span {
                  transform: rotateZ(-90deg);
                  position: absolute;
                  top: 85px;
                  left: 20px;
                  font-size: 17px;
                }
              }

            }

            .info {
              height: 65%;
              padding: 10px;

              hr {
                height: 1px;
                width: 100%;
                background: rgba(0, 0, 0, 0.12) !important;
              }

              .rating {
                font-size: 20px;
              }

              .course-title, .course-fee {
                font-size: 15px;
              }

              .total-amount {
                text-decoration: line-through;
              }
            }
          }
        }
      }
    }
  }

  .app {
    height: calc(var(--vh, 1vh) * 100);
    background-color: #dddddd;
    position: relative;
    overflow: hidden;
    margin-bottom: -5%;

    .pattern {
           position: absolute;
      height: 100%;
      top: 0;
      left: 0;
      width: 100%;
    }

    .aboutNikaro {
      height: 100%;
      font-size: 20px;
      color: #042d65;

    }

    .vector {

      img {
        width: 50%;
      }

      .text-large {
        font-size: 2vw;
      }

      span {
        color: #042d65;
      }

      form {
        width: 50%;
        margin: 0 auto;
        margin-top: 20px;
        position: relative;

        .form-group {
          img {
            position: absolute;
            width: 7%;
            top: 11%;
            left: 5%;
            cursor: pointer;
          }
        }

        input {
          border-radius: 30px;
          padding: 7% 5%;
        }

        button {
          width: 47%;
          font-size: 13px;
          background-color: #042d65;
          padding: 10px 5px;
          border-radius: $border_radius;

          img {
            width: 25%;
            margin-right: 10px;
          }
        }
      }
    }
  }

  .joinUs-app {
    height: calc(var(--vh, 1vh) * 70);
    position: relative;
    line-height: 40px;

    .handShake {
      width: 100%;
      height: 100%;
      z-index: 1;
      position: absolute;
      object-fit: cover;
    }

    &:after {
      content: " ";
      position: absolute;
      top: 0;
      right: 0;
      width: 100%;
      height: 100%;
      z-index: 2;
      background-color: rgba(3, 44, 96, .8);
    }

    .joinUs {
      height: 100%;
      z-index: 3;

      h2 {
        font-size: 2vw;
        z-index: 1;
      }

      span {
        z-index: 1;
      }

      .btn {
        color: #9ae7ef !important;
        border-color: #9ae7ef !important;
        border-radius: $border_radius;
        padding: 10px 50px;
        margin-top: 20px;

        &:hover {
          background: $nikaro-color;
          color: white !important;
        }
      }
    }

    .schoolsApp {
      height: 100%;
      z-index: 3;

      img {
        width: 65%;
      }

      .schoolAppBtn {
        position: absolute;
        left: 10%;
        top: 50%;
        font-size: .8vw;
      }
    }
  }

  .schools-carousel {
    height: calc(var(--vh, 1vh) * 30);
    overflow: hidden;
    padding-bottom: 5%;

    hr {
      width: 5%;
    }

    .logo-carousel {
      .carousel {
        width: 100%;
        height: 70%;

        .schoolCarouselCell {
          margin: 0 5%;
          width: 10%;
          height: calc(var(--vh, 1vh) * 15);

          img {
            width: 100%;
            height: 100%;
            object-fit: scale-down;
            filter: grayscale(1);

            &:hover {
              filter: none;
            }
          }
        }
      }
    }
  }

  .tags {
    padding-top: 8vh;
    min-height: 100%;

    a {
      font-family: IRANSans;
      font-size: 10px;
      width: 120px;
    }
  }
}

footer {
  background-color: #032c60;
  color: #9ae7ef !important;
  position: relative;
  padding: 15px 0;
  scroll-snap-align: start;


  .scroll-vector {
    position: absolute;
    width: 25%;
    bottom: 99%;
    right: 50%;
    transform: translateX(50%);
  }

  .scroll-btn {
    position: absolute;
    bottom: 100%;
    right: 50%;
    transform: translateX(50%);
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
  }

  .footer-menu {
    ul {
      height: 100%;
      margin: 0;
      line-height: 70px;

      a {
        color: #9ae7ef !important;

        li {
          margin: 0 5%;
        }
      }
    }
  }

  .copyright {
  }

  .Enamad {
    cursor: pointer;

    img {
      width: 35%;
    }
  }

  ul {
    text-decoration: none;

    li {
      display: inline-block;
    }
  }
}

#resultPage {
  border-left: 1px solid #dddddd;
  padding: 8vh 0;
  min-height: 100vh;

  .filters {
    position: sticky !important;
    top: 8vh;

    .header {
      display: flex;
      align-items: center;
      height: 70px;
      border-bottom: 1px solid #dddddd;
      padding: 0 5%;

      i {
        margin-left: 10px;
      }
    }

    .selects {
      padding: 0;

      .select {
        width: 100%;
        height: 70px;
        padding: 10px 0;

        &:not(:last-child) {
          border-bottom: 1px solid #dddddd;
        }

        .react-select__control {
          border-style: none;

          .react-select__indicators {
            span {
              display: none;
            }
          }
        }

        .react-switch-container {
          span {
            vertical-align: 6px;
            margin-right: 10px;
          }
        }
      }
    }
  }

  .results {
    min-height: 90vh;

    .header {
      position: sticky !important;
      top: 8vh;
      display: flex;
      align-items: center;
      height: 70px;
      border-bottom: 1px solid #dddddd;
      background-color: white;
      z-index: 9;

      form {
        width: 80%;

        .react-autosuggest__suggestions-container--open {
          display: block;
          position: absolute;
          right: 1%;
          top: 90%;
          width: 50%;
          background-color: #ffffff;
          font-weight: 300;
          font-size: 16px;
          border: none;
          border-radius: 10px;
          z-index: 2;
          padding: 15px 0;
          color: #000;
          box-shadow: 0 0 2px 0px;

          ul {
            width: 100%;
            padding: 0;

            .react-autosuggest__suggestion--highlighted {
              background-color: #ddd;
            }

            li {
              width: 100%;
              cursor: pointer;

              .suggestion {
                padding: 5px 15px;
                text-align: right;
                display: block;
                width: 100%;
                border-bottom: 1px #dddddd solid;
              }

              .suggestion:hover {
                background-color: #dddddd;
              }

              .react-autosuggest__suggestion-match {
                color: $nikaro-primary;
                font-weight: bold;
              }
            }
          }

        }

        input {
          border: none;
          border-bottom: solid 1px #dddddd;
        }

        input:focus {
          box-shadow: none;
          border-bottom: 2px solid #dddddd;
        }

        .searchIcon {
          position: absolute;
          top: 10px;
          left: 0;
          cursor: pointer;
        }
      }

      .course-school-select__control {
        border-radius: 25px;

        span {
          display: none;
        }

        .course-school-select__value-container {
          text-indent: 25px;

          .course-school-select__placeholder {
            right: 15%;
          }
        }

        .course-school-select__single-value {
          margin-right: 20%;
        }
      }

      .fa-random {
        position: absolute;
        top: 33%;
        right: 15%;
      }

      .sort-select__control {
        border-radius: 25px;

        span {
          display: none;
        }

        .sort-select__value-container {
          text-indent: 20px;

          .sort-select__placeholder {
            margin-right: 10%;
          }
        }

        .sort-select__single-value {
          margin-right: 20%;
        }
      }

      .fa-sort-amount-down {
        position: absolute;
        top: 35%;
        right: 15%;
      }
    }

    .results-wrapper {
      padding: 0px 25px;
      padding-top: 10px;
      margin-top: 20px;

    }

    .results-items-wrapper {
      padding: 10px 25px;
      padding-bottom: 20px;

      .items {
        width: 100%;
        height: 400px;
        min-height: 320px;
        box-shadow: 0 0 5px -2px #000;
        border-radius: $border_radius;
        padding: 0;
        overflow: hidden;
        margin-top: 20px;
        position: relative;

        .item-header {
          height: 35%;
          width: 100%;
          position: relative;

          .item-header-img {
            width: 100%;
            height: 100%;
            z-index: 100;
            object-fit: contain;
            object-position: top;
          }

          .item-header-img-2 {
            position: absolute;
            width: 100%;
            height: 100%;
            right: 0;
            top: 0;
            z-index: -1;
            object-fit: cover;
            object-position: center;
            filter: blur(4px);
          }

          .teacher-pic {
            width: 30%;
            position: absolute;
            right: 50%;
            transform: translateX(50%);
            top: 75%;
          }

          .discount {
            width: 65px;
            height: 200px;
            background-color: red;
            position: absolute;
            right: -15px;
            top: -80px;
            transform: rotateZ(-45deg);

            span {
              transform: rotateZ(45deg);
              position: absolute;
              top: 85px;
              right: 30px;
              font-size: 17px;
            }
          }

          .virtualBadge {
            width: 65px;
            height: 200px;
            position: absolute;
            left: -15px;
            top: -80px;
            transform: rotateZ(45deg);

            span {
              transform: rotateZ(-90deg);
              position: absolute;
              top: 85px;
              left: 20px;
              font-size: 17px;
            }
          }

        }

        .info {
          height: 65%;
          position: relative;
          font-size: 13px;
          padding: 15px;

          .fa-calendar {
            margin-right: 5px;
          }

          .course-title {
            width: 100%;
            @include titleFont;
            font-size: 1vw;
            margin-bottom: 0 !important;
            max-height: 25px;
            overflow: hidden;
          }

          .rating {
            font-size: 20px;
          }

          .course-fee {
            @include titleFont;
            font-size: 1vw;
            margin-bottom: 0 !important;
          }

          .total-amount {
            text-decoration: line-through;
          }

          button {
            width: 90%;
            position: absolute;
            bottom: 10px;
            right: 50%;
            transform: translateX(50%);
          }
        }
      }

      .loading-gif {
        img {
          width: 25%;
          margin-left: 30%;
        }
      }
    }
  }

  .mobile-selects {
    button {
      width: 50px;
      height: 50px;
      border: none;
      border-radius: 50%;
      position: fixed;
      right: 20px;
      bottom: 20px;
      z-index: 999999;
      cursor: pointer;

      .fa-filter {
        font-size: 20px;
      }
    }

    .selects-wrapper {
      display: flex;
      position: fixed;
      justify-content: center;
      align-items: center;
      width: 100%;
      height: 100%;
      top: 0;
      right: 0;
      background-color: rgba(0, 0, 0, .7);
      z-index: 99999;

      .selects-container {
        width: 80%;
        border-radius: $border_radius;

        .filters {
          height: 100%;
          padding: 25px 6%;

          .header {
            height: 50px;
          }

          .selects {
            .select {
              height: 50px;
              padding: 5px 0;

              .react-switch-container {
                padding: 10px;
              }
            }
          }
        }
      }
    }
  }
}

#schoolPage {
  padding: 8vh 10%;
  min-height: 100vh;

  .info {
    .activeCourseStamp {
      width: 200px;
      height: 50px;
      padding: 5px;
      border-radius: 30px 30px 100px 30px;
      cursor: pointer;
    }

    .schoolLogo {
      width: 150px;
      height: 150px;
      margin-top: -100px;
    }

    .default {
      background-color: #f1f1f1;

      img {
        width: 70px;
        padding: 10px 0 0 10px;
        object-fit: contain;
      }
    }

    .addAwareBtn {
      width: 200px;
      height: 50px;
      padding: 5px;
      border-radius: 30px 30px 30px 100px;
      cursor: pointer;
    }

    .details {
      .shortDesc {
        height: 150px;
        overflow: hidden;
      }
    }

    .address {
      position: relative;

      .map {
        width: 100%;
        height: 150px;

        img {
          width: 100%;
          height: 100%;
          object-fit: cover;
        }

        .directionToSchool {
          position: absolute;
          left: 17px;
          bottom: 30%;
        }
      }
    }

    .questions {
      width: 50%;
      padding-left: 5%;

      .progress {
        transform: rotate(-180deg);
        overflow: unset !important;
        height: 5px !important;

        .progressbar-text {
          width: 10%;
          transform: rotate(-180deg) !important;
          top: -100% !important;
          left: 105% !important;
        }
      }
    }

    .overallRate {
      width: 50%;

      .progressCircle {
        width: 100px;

        svg {
          path {
            stroke-width: 2px;
          }
        }
      }
    }

    .text-md-left {
      .rate-aware {
        .rating {
          span {
            font-size: 20px;
          }
        }
      }

      .awareBtn {
        margin-left: 15px;
        font-size: 10px !important;
        padding: 5px;

        i {
          vertical-align: -1px;
          margin-left: 5px;
        }
      }

      .address {
        text-align: justify;

        i {
          margin: 0 5px;
        }
      }
    }

    .text-center {
      span {
        i {
          margin: 0 10px;
        }
      }
    }

    .desc {
      margin-top: 20px;

      p {
        text-align: justify;
      }
    }

    .filter {
      filter: blur(5px);
    }

    .leadUsers {
      position: absolute;
      top: 77%;
      right: 50%;
      transform: translateX(50%);
      z-index: 99;
    }

  }

  .schoolGallery {
    .schoolGalleryCarousel {
      width: 100%;

      .carousel {
        border-radius: 20px;
        overflow: hidden;

        .slider-cell {
          width: 100%;
          height: 300px;
          background-color: black;

          img {
            width: 100%;
            height: 100%;
            object-fit: contain;
          }
        }
      }
    }
  }

  .courseSchool-carousel {
    margin-top: 30px;

    .otherSchools-carousel {
      width: 100%;

      .carousel {
        width: 100%;

        .school {
          width: 25%;
          height: 350px;
          margin: 10px;
          border-radius: $border_radius;
          box-shadow: 0 0 15px -7px #000;
          overflow: hidden;

          .carousel-header {
            width: 100%;
            height: 40%;
            position: relative;

            .img-1 {
              width: 100%;
              height: 100%;
              filter: blur(8px);
              position: absolute;
              z-index: -1;
              top: 0;
              left: 0;
            }

            .img-2 {
              width: 100%;
              height: 100%;
              object-fit: contain;
            }
          }

          .info {
            width: 100%;
            height: 60%;
            padding: 10px;

            .rating {
              font-size: 20px;
            }
          }
        }
      }
    }

    .schoolPageCourses-carousel {
      width: 100%;

      .carousel {
        width: 100%;

        .course {
          width: 25%;
          height: 400px;
          margin: 1%;
          border-radius: $border_radius;
          box-shadow: 0 0 15px -7px #000;
          overflow: hidden;

          .header {
            width: 100%;
            height: 35%;
            position: relative;

            .item-header-img {
              width: 100%;
              height: 100%;
              z-index: 100;
              object-fit: contain;
              object-position: top;
            }

            .item-header-img-2 {
              position: absolute;
              width: 100%;
              height: 100%;
              z-index: -1;
              object-fit: cover;
              object-position: center;
              filter: blur(4px);
            }

            .teacher-pic {
              width: 70px;
              height: 70px;
              object-fit: cover;
              object-position: top;
              position: absolute;
              right: 50%;
              transform: translateX(50%);
              top: 75%;
            }

            .discount {
              width: 65px;
              height: 200px;
              background-color: red;
              position: absolute;
              right: -15px;
              top: -80px;
              transform: rotateZ(-45deg);

              span {
                transform: rotateZ(45deg);
                position: absolute;
                top: 85px;
                right: 30px;
                font-size: 17px;
              }
            }

            .virtualBadge {
              width: 65px;
              height: 200px;
              position: absolute;
              left: -15px;
              top: -80px;
              transform: rotateZ(45deg);

              span {
                transform: rotateZ(-90deg);
                position: absolute;
                top: 85px;
                left: 20px;
                font-size: 17px;
              }
            }

          }

          .info {
            height: 65%;
            padding: 10px;

            .rating {
              font-size: 20px;
            }

            .course-title, .course-fee {
              font-size: 15px;
            }

            .total-amount {
              text-decoration: line-through;
            }
          }

        }
      }
    }
  }

  .tab {
    .completeInfo {
      video {
        width: 70%;
        max-height: 600px;
      }
    }

    .MuiTabs-indicator {
      background-color: $nikaro-primary;
    }
  }

  .toast-message {
    white-space: nowrap;
  }

}

#coursePage {
  padding: 8vh 10%;
  min-height: 100vh;

  .headerBanner {
    position: relative;
    overflow: hidden;

    .header-bg {
      height: 30vh;
      width: 100%;
      position: absolute;
      left: 0;
      filter: blur(20px);
      z-index: -1;
    }

    &:after {
      content: "";
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
      left: 0;
      background-color: rgba(0, 0, 0, .2);
      z-index: 1;
    }

    .header-bg-1 {
      height: 30vh;
      width: 100%;
      object-fit: contain;
      margin: 0 auto;
      z-index: 2;
    }

    .title-rate {
      position: absolute;
      bottom: 0;
      right: 0;
      z-index: 2;

      .rating {
        text-shadow: 0 0 5px #000;
        z-index: 2;
      }

      h4 {
        text-shadow: 0 0 5px #000;
      }
    }

    .installmentIcon {
      position: absolute;
      bottom: 0;
      left: 0;
      z-index: 2;
    }

    .logo {
      position: absolute;
      width: 150px;
      height: 150px;
      top: 10vw;
      right: 50%;
      transform: translateX(50%);
      border-radius: 50%;
      overflow: hidden;

      img {
        width: 100%;
        height: 100%;
      }
    }
  }

  .remainingTime {
    width: 225px;
    height: 50px;
    padding: 5px;
    border-radius: 30px 30px 100px 30px;
    cursor: pointer;

    span {
      width: 25%;
    }

    .label {
      span {
        font-size: 12px;
      }
    }
  }

  .addAwareBtn {
    width: 225px;
    height: 50px;
    padding: 5px;
    border-radius: 30px 30px 30px 100px;
    cursor: pointer;
  }

  .shortInfo {
    position: relative;
    height: 200px;
    overflow: hidden;

    .moreBtn {
      position: absolute;
      bottom: 0;
      width: 100%;
    }
  }

  .paymentInfo {
    max-height: 200px;
  }

  .tab {
    .PrivateTabScrollButton-root-85 {
      width: 30px;
      transform: rotate(180deg);
    }

    .MuiTabs-indicator {
      display: none;
      background-color: $nikaro-primary;
    }
  }

  .tabContent {
    min-height: 200px;

    .teacher {
      .teacherAvatar {
        width: 120px;
        height: 120px;
      }
    }

    .school {
      .schoolAvatar {
        width: 120px;
        height: 120px;
      }

      .schoolAddress {
        height: 250px;
      }
    }

    .courseGallery {
      .courseGalleryCarousel {
        width: 100%;

        .carousel {
          border-radius: 20px;
          overflow: hidden;

          .slider-cell {
            width: 33%;
            height: 300px;

            img {
              width: 100%;
              height: 100%;
              object-fit: contain;
            }
          }
        }
      }
    }

  }

  .info {
    .icon {
      font-size: 50px;
    }

    .classTimeInfo {
      border-top: solid 2px #8f8f8f;
      margin-top: 10px;
      padding: 10px 0;

      span:not(:last-child) {
        margin-left: 10px;
        border-left: solid 1px #8f8f8f;
      }
    }
  }

  .courseSchool-carousel {
    margin-top: 30px;

    .otherSchools-carousel {
      width: 100%;

      .carousel {
        width: 100%;

        .school {
          width: 25%;
          height: 350px;
          margin: 10px;
          border-radius: $border_radius;
          box-shadow: 0 0 15px -7px #000;
          overflow: hidden;

          .carousel-header {
            width: 100%;
            height: 40%;
            position: relative;

            .img-1 {
              width: 100%;
              height: 100%;
              filter: blur(8px);
              position: absolute;
              z-index: -1;
              top: 0;
              left: 0;
            }

            .img-2 {
              width: 100%;
              height: 100%;
              object-fit: contain;
            }
          }

          .info {
            width: 100%;
            height: 60%;
            padding: 10px;

            .rating {
              font-size: 20px;
            }
          }
        }
      }
    }

    .schoolPageCourses-carousel {
      width: 100%;

      .carousel {
        width: 100%;

        .course {
          width: 25%;
          height: 400px;
          margin: 1%;
          border-radius: $border_radius;
          box-shadow: 0 0 15px -7px #000;
          overflow: hidden;

          .header {
            width: 100%;
            height: 35%;
            position: relative;

            .item-header-img {
              width: 100%;
              height: 100%;
              z-index: 100;
              object-fit: contain;
              object-position: top;
            }

            .item-header-img-2 {
              position: absolute;
              width: 100%;
              height: 100%;
              z-index: -1;
              object-fit: cover;
              object-position: center;
              filter: blur(4px);
            }

            .teacher-pic {
              width: 70px;
              height: 70px;
              object-fit: cover;
              object-position: top;
              position: absolute;
              right: 50%;
              transform: translateX(50%);
              top: 75%;
            }

            .discount {
              width: 65px;
              height: 200px;
              background-color: red;
              position: absolute;
              right: -15px;
              top: -80px;
              transform: rotateZ(-45deg);

              span {
                transform: rotateZ(45deg);
                position: absolute;
                top: 85px;
                right: 30px;
                font-size: 17px;
              }
            }

            .virtualBadge {
              width: 65px;
              height: 200px;
              position: absolute;
              left: -15px;
              top: -80px;
              transform: rotateZ(45deg);

              span {
                transform: rotateZ(-90deg);
                position: absolute;
                top: 85px;
                left: 20px;
                font-size: 17px;
              }
            }
          }

          .info {
            height: 65%;
            padding: 10px;

            .rating {
              font-size: 20px;
            }

            .course-title, .course-fee {
              font-size: 15px;
            }

            .total-amount {
              text-decoration: line-through;
            }
          }

        }
      }
    }
  }
}

.mobileSchoolGallery {
  padding: 0 !important;

  .schoolGalleryCarousel {
    width: 100%;

    .carousel {
      overflow: hidden;

      .slider-cell {
        width: 100%;
        height: 150px;
        overflow: hidden;
      }
    }
  }
}

.map-wrapper {
  margin-top: 30px;

  .map {
    width: 100%;
    height: 250px;
    border: 1px solid #dddddd;
    border-radius: 20px;
    margin-top: 20px;
  }
}

.comments {
  max-height: 500px;
  margin-top: 15px;
  overflow-y: scroll;

  #addCommentForm {
    .br-widget {
      display: flex;
      flex-direction: row;
      align-items: center;
    }

    .MuiInputLabel-formControl {
      font-family: IRANSans;
      right: 0;
    }
  }

  .comment {
    .userInfo {
      text-align: right;

      img {
        border-radius: 50%;
        width: 50px;
        vertical-align: -10px;
      }

      .text {
        margin-right: 10px;
        display: inline-block;
      }
    }

    .rating {
      .fa-share {
        margin-left: 15px;
      }
    }

    .comment-text {
      margin-top: 15px;

      p {
        text-align: justify;
        padding: 0 10px;
      }
    }

    .comments-box {
      width: 100%;
      height: 150px;
      overflow-y: scroll;
    }

    .comment-replay {
      width: 85%;
      margin: 0 auto;
    }

    .likeIcon {
      width: 15px;
      height: auto;
    }
  }
}

#finalRegisterModal {
  .modal-body {
    padding: 5% 5%;

    h5 {
      width: 100%;
      text-align: center;
    }

    hr {
      width: 20%;
    }

    .courseInfo, .costInfo {
      span:not(:first-child) {
        padding-right: 10px;
        border-right: solid 2px #dddddd;
      }
    }

    .registerForOthers {
      margin-top: 20px;

      .react-switch-container {
        width: 15%;
        display: inline-block;
        vertical-align: -10px;

        .react-switch {
          .react-switch-bg {
            height: 1vw !important;
            width: 2.5vw !important;
          }

          .react-switch-handle {
            width: 1.5vw !important;
            height: 1.5vw !important;
          }
        }
      }

      #othersInfoForm {
        margin-top: 10px;

        .form-group {
          display: flex;
          flex-flow: wrap;
          justify-content: space-between;

          .form-control {
            width: 49% !important;
          }
        }
      }
    }

    .discountCode {
      margin-top: 20px;
      position: relative;

      button {
        position: absolute;
        top: 0;
        left: 0;
      }
    }
  }
}

#paymentResult {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;

  .icon {
    width: 100px;
    height: 100px;
    font-size: 3vw;
  }
}

#profile {
  min-height: 100vh;
  margin-top: 8vh;

  .profileMenu {
    height: 100vh;
    border-left: solid 1px #dddddd;

    .col-12:not(:first-child) {
      border-bottom: solid 1px #dddddd;
      cursor: pointer;

      &:hover {
        color: #000 !important;
      }
    }

    .userInfo {
      text-align: right;

      img {
        width: 30%;
      }

      .userName {
        font-size: 17px;
      }

      .text-small {
        font-size: 13px;
      }
    }
  }

  #editUserInfo {
    form {
      div {
        input {
          width: 100%;
          height: 40px;
          text-indent: 10px;
          margin-top: 10px;
        }

        .react-select__control {
          height: 40px;
          margin-top: 10px;
          border: solid 1px #dddddd;
          border-radius: 0;

          .react-select__value-container {
            height: 40px;
          }
        }
      }

      .userLocation .map {
        height: 200px;
        border: solid 1px #dddddd;
        border-radius: 10px;
      }

      .has-error {
        span {
          color: red;
          font-size: 12px;
          white-space: nowrap;
        }
      }
    }
  }

  #userSurvey {
    .br-widget {
      display: flex;
      flex-direction: row;
      align-items: center;
    }
  }

}

#page404 {
  height: 100vh;
  background: $nikaro-color;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#aboutUs {
  padding-top: 8vh;
  padding-bottom: 10vh;

  .header {
    width: 100%;
    height: 400px;
    object-fit: cover;
    object-position: top;
    background-color: black;
  }

  .title {
    font-size: 15px;

    span {
      font-size: 20px;
    }

    hr {
      width: 5%;
    }
  }

  .shape {
    width: 35%;
    min-width: 150px;
    transform: skew(-15deg);
    display: inline-block;
    color: white;
    padding: 17% 12% 0 3%;
    background-repeat: no-repeat !important;
    background-size: 30% !important;
    background-position: 10% 10% !important;

    span {
      transform: skew(15deg);
      font-size: 15px;
      margin-bottom: 10px;
    }
  }
}

#contactUs {
  margin: 10vh 0;
  height: 90vh;

  .title {
    span {
      font-size: 20px;
    }

    hr {
      width: 5%;
    }
  }
}

#termOfUse {
  margin: 10vh 0;
}

#joinSchoolsForm {
  .error {
    color: red;
    font-size: 12px;
    white-space: nowrap;
  }

  .custom-file {
    .error {
      position: absolute;
      bottom: -30px;
    }

    .custom-file-label::after {
      content: "انتخاب فایل" !important;
      right: auto !important;
      left: 0 !important;
    }

    .fileName {
      margin-right: -100%;
      margin-top: 60px;
    }
  }

  .react-select__control {
    border: none;
    border-bottom: 1px solid rgba(0, 0, 0, 0.42);
    border-radius: 0;
  }

  .subCategoryLabel, .categoryLabel {
    color: red;
    font-size: 12px;
  }

}

#usersRequest {
  .MuiFab-extended {
    .text {
      display: block !important;
    }
  }

  .MuiFab-root {
    position: fixed;
    bottom: 3%;
    left: 2%;
    z-index: 999;
    background-color: #2392ec !important;
  }
}

#usersRequestModal {
  z-index: 999999!important;

  .error {
    white-space: nowrap;
    bottom: -25px;
    font-size: 10px;
    color: red;
  }

  .subCategoryLabel, .categoryLabel, .cityLabel {
    color: red;
    font-size: 12px;
  }

  .react-select__menu {
    z-index: 9999999999;
  }
}

#shareReferral {
  height: 100vh;
}

.giftBox {
  width: 100px;
  height: 100px;
  position: fixed;
  bottom: 10%;
  left: 3%;
  z-index: 999;
}

#festival {
  height: 100vh;

  .topRed {
    position: fixed;
    right: 0;
    top: 0;
    width: 48%;
    object-fit: contain;
  }

  .topRedSpan {
    position: fixed;
    top: 10px;
    right: 50px;
    font-family: cursive;
    font-size: 4vw;
  }

  .redDown {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 450px;
  }

  .orangeDown {
    position: fixed;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 500px;
  }

  .redDownTitle {
    position: fixed;
    right: 0;
    font-size: 3vw;
    width: 50%;
    bottom: 10%;
  }

  .centerVectorDiv {
    width: 500px;
    position: fixed;
    top: 0%;
    left: 10%;
    transform: rotate(-13deg);

    .centerVector {
      width: 100%;
      object-fit: contain;
    }


    .centerVectorText {
      height: 61%;
      width: 70%;
      position: fixed;
      left: 10%;
      top: 14%;
      display: flex;
      justify-content: center;
      align-items: flex-start;
      flex-direction: column;
      padding-right: 65px;

      .centerVectorSpan {
        color: #fff;
        font-size: 32px;
      }
    }

  }

  .loginBtn {
    font-family: IRANSans;
    color: white;
    background-color: #fa4318;
    font-size: 2.5vw;
    border-radius: 40px;
    padding: 10px 20px;
  }

  .offers {
    width: 600px;
    height: 350px;
    position: fixed;
    left: 5%;
    top: 44%;
    padding: 0 65px;

    .offer {
      width: 200px;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      position: relative;

      img {
        width: 100%;
        object-fit: contain;
        z-index: 2;
      }

      .discount {
        font-size: 42px;
        position: fixed;
        top: 50%;
        z-index: 2;
      }

      .skill {
        position: absolute;
        top: 28%;
        font-size: 25px;
        transform: rotate(-6deg);
        z-index: 2;
      }

      .text {
        width: 98%;
        height: 220px;
        margin: 0 auto;
        margin-top: -35%;
        font-size: 1vw;
        z-index: 1;
        text-align: justify;
        padding-top: 55px;
        padding: 50px 15px;
      }
    }
  }
}

.schoolChat {
  height: 100vh;

  .rsc-container {
    z-index: 99 !important;
  }

  .rsc-cs {
    display: none;
  }

  .rsc-ts-bot {
    .rsc-ts-bubble {
      border-radius: 18px 18px 0 18px;
    }
  }

  .rsc-ts-user {
    .rsc-ts-bubble {
      border-radius: 18px 18px 18px 0;
    }
  }

}

.schoolLandingLayout {
  background: #0575E6; /* fallback for old browsers */
  background: -webkit-linear-gradient(to bottom, #021B79, #0575E6); /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to bottom, #021B79, #0575E6); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

#schoolLanding {
  section {
    min-height: 100vh;
    flex-wrap: nowrap;

    &:not(:first-child) {
      padding-top: 50px;
      padding-bottom: 20px;
    }
  }

  nav {
    .navbar-nav {
      a {
        color: white;

        &:hover {
          text-decoration: none;
          background-color: white;
          color: #01189f;
        }
      }
    }

    .active {
      background-color: white;
      color: #01189f !important;
    }
  }

  .header {
    button {
      transition: all .5s ease;

      &:hover {
        transform: scale(1.1);
      }
    }
  }

  #features {
    .items {
      width: 70%;
      margin: 0 auto;
      height: 75vh;
    }
  }

  #virtual {
    p {
      line-height: 30px;
    }

    .items {
      display: flex;
      flex-wrap: wrap;
      width: 70%;

      .item {
        width: 20%;
        position: relative;
        background-color: #354BBB;
        height: 250px;
        border-radius: 50px;
        transition: all 0.5s ease 0s;
        margin-right: 2.5%;
        margin-left: 2.5%;

        &:hover {
          background-color: white;
          color: #354BBB !important;
          transform: translateY(-10px);

          .price {
            background-color: #354BBB !important;
            color: white;
          }
        }

        .price {
          text-align: center;
          position: absolute;
          bottom: 0;
          right: 50%;
          transform: translate(50%, 50%);
          color: white !important;
        }
      }
    }
  }

  #ad {
    p {
      line-height: 30px;
    }

    .item {
      border-radius: 50px;
      height: 150px;

      .divider {
        height: 100%;
        border-left: solid 2px #dddddd;
      }

      a {
        transition: all .5s ease;

        &:hover {
          transform: scale(1.1);
        }
      }
    }
  }

  #commission {
    p {
      color: #9ea8e9;
      line-height: 40px;
    }
  }

  #support {


    p {
      color: #9ea8e9;
      line-height: 40px;
    }

    a {
      transition: all .5s ease;

      &:hover {
        transform: scale(1.1);
        text-decoration: none;
      }
    }

  }

}

#framerMotionSlider {
  height: 300px;
  position: relative;

  .next,
  .prev {
    top: calc(50% - 20px);
    position: absolute;
    background: #2392ec;
    border-radius: 30px;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
    cursor: pointer;
    font-weight: bold;
    font-size: 18px;
    z-index: 2;
    color: white;
  }

  .next {
    right: 10px;
  }

  .prev {
    left: 10px;
    transform: scale(-1);
  }

  img {
    position: absolute;
    height: 100%;
  }
}

.tagsSection{
  overflow: hidden;
}

#loginPage{
  .MuiOutlinedInput-root{
    border: 1px solid #dddddd;
  }
  .MuiInputLabel-shrink{
    background-color: white;
  }
  fieldset{
    display: none;
  }
}

//mobile
@media screen and (max-width: 768px) {
  h1 {
    font-size: 22px;
  }

  h2 {
    font-size: 15px;
  }

  ::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    font-size: $mobile_font_size;
  }

  body {
    font-size: $mobile_font_size !important;
  }

  header {
    .kavehnagar {
      height: auto !important;
      margin: 0;
      text-align: justify !important;
    }

    .top-nav {
      padding: 0 5%;

      .logo {
        img {
          width: 70%;
        }
      }

      .mobile_menu_btn {
        display: block !important;

        img {
          width: 20%;
        }
      }

      .menu {
        display: none;
      }

      #mobileMenu {
        position: fixed;
        top: 0;
        right: 0;
        width: 100%;
        height: 100%;
        background: $nikaro-color;
        opacity: .97;
        padding: 40% 0;

        img {
          width: 20px;
          position: absolute;
          left: 25px;
          top: 25px;
        }

        ul {
          padding: 0;
          height: 100%;
          width: 100%;

          a {
            width: 100%;
            display: block;
            font-size: 20px;
            line-height: 70px;
            color: white !important;
          }
        }
      }
    }
  }

  #home {
    .intro {
      .vector {
        padding-top: 10vh;
      }

      .text {
        text-align: center;

        h4 {
          font-size: 18px;
        }

        span {
          font-size: $mobile_title_font_size !important;
        }

        .btn {
          width: 100%;
          font-size: $mobile_font_size !important;
        }
      }

      .scrollSvg {
        width: 5%;
      }
    }

    .campaigns {

      .offer {
        margin-top: 4vh;
        width: 100%;
        height: 100%;
        object-position: center;
        background-color: #00918e;
        padding-top: 0;
        position: relative !important;
      }

      .offerData {
        width: 95%;
        right: 50%;
        top: 55%;
        transform: translateX(50%);

        h4 {
          font-size: 17px;
        }

        .countDown {
          width: 150px;
          font-size: 15px;
          text-align: center;
          padding: 5px !important;
        }

        .shortInfo {
          .icon {
            font-size: 30px;
          }

          span {
            font-size: 12px;
          }
        }
      }

      .banner {
        position: relative !important;
        width: 100%;
        height: 100%;

        img {
          object-position: center;
          background-color: #0f0134;
        }
      }
    }

    .search {
      background: $nikaro-color;

      form {
        input {
          width: 100%;
        }
      }
    }

    .values-courses {
      overflow: hidden;

      .values-vector {
        margin-top: 20px;

        span {
          display: block;
          margin-top: 15px;
        }

        div:not(:first-child) {
          margin-top: 20px;
        }

        img {
          width: 20%;
        }
      }

      .courses {
        margin-top: 0;
        padding: 0;
        width: 100%;
        height: 100vh;

        .courseCarousel {
          .flickity-prev-next-button {
            width: 25px;
            height: 25px;
          }

          .carousel {
            width: 100%;

            .course {
              width: 90%;
              height: 450px;
              border-radius: $border_radius;
              box-shadow: 0 0 15px -7px #000;
              overflow: hidden;
              margin: 3%;

              .header {
                .courseInfo {
                  span {
                    font-size: 13px;
                  }

                  .course-fee, .course-start-date {
                    font-size: 15px;
                  }
                }

                .teacher-pic {
                  width: 75px;
                  max-height: 75px;
                  object-fit: scale-down;
                  position: absolute;
                  top: 70px;
                  left: 50%;
                  transform: translateX(-50%);
                  z-index: 99;
                }
              }

              .cover {
                height: 40%;
                overflow: hidden;

                img {
                  width: 100%;
                  height: 100%;
                  object-fit: cover;
                  object-position: top;
                }
              }

              .footer {
                padding: 10px 10px;
                height: 35%;

                button {
                  margin-top: 15px;
                  width: 100%;
                }
              }
            }
          }
        }

      }
    }

    .joinUs-app {
      position: relative;
      background: rgba(3, 44, 96, 1);
      height: calc(var(--vh, 1vh) * 100);

      .schoolsApp {
        height: 70%;
        padding-top: 8vh;

        img {
          width: 100%;
        }

        .schoolAppBtn {
          top: 54%;
          font-size: 10px;
        }
      }

      .joinUs {
        h2 {
          font-size: 18px;
        }
      }
    }

    .schools-carousel {
      height: calc(var(--vh, 1vh) * 100);
      padding-top: 25vh;
      justify-content: center;

      .school-logo {
        img {
          width: 100%;
        }
      }
    }

    .app {
      padding-top: 8vh;
      height: calc(var(--vh, 1vh) * 100);

      svg {
        display: none;
      }

      .aboutNikaro {
        font-size: 16px;
      }

      .vector {
        text-align: center !important;

        .text-large {
          font-size: 18px;
        }

        form {
          width: 75%;

          button {
            font-size: 10px;
          }
        }
      }

      .mobile-input {
        padding: 0;

        .text-large {
          font-size: 20px;
        }

        form {
          margin-top: 15px;

          .form-group {
            position: relative;
          }

          button {
            display: block;
            font-size: 12px;
            width: 100%;
            padding: 5px 0;

            img {
              width: 10%;
              vertical-align: -50%;
            }
          }
        }
      }
    }

    .tagsSection {
      .tags {
        a {
          font-size: 8px;
          width: 100px;
        }
      }
    }


  }

  footer {

    .footer-menu {
      ul {
        padding: 0;
        line-height: 20px;
      }
    }

    .scroll-vector {
      width: 100%;
    }
  }

  #resultPage {
    border-left: none;

    .filters {
    }

    .results {
      .header {
        height: auto;

        .numFound {
          margin: 0;
          font-size: 12px;
        }

        .sort-select__control {
          .sort-select__placeholder {
            display: none;
          }
        }

        .fa-sort-amount-down {
          right: 42%;
        }

        .course-school-select__control {
          .course-school-select__placeholder {
            display: none;
          }
        }

        .fa-random {
          right: 40%;
        }
      }

      .results-items-wrapper {
        padding: 10px 0;

        .items {
          height: 400px !important;
          margin: 0 !important;
          margin-bottom: 10px !important;

          .item-header {
            .teacher-pic {
              width: 20% !important;
            }
          }

          .info {
            font-size: 13px !important;

            .course-title {
              font-size: 15px !important;
            }

            .course-fee {
              font-size: 12px !important;
            }

            button {
              margin: 0 !important;
              font-size: 12px;
            }
          }
        }
      }
    }
  }

  #schoolPage {
    padding: 8vh 0 70px 0;

    .flickity-prev-next-button {
      width: 25px;
      height: 25px;
    }

    .header {
      .logo {
        width: 100px;
        height: 100px;
        top: -50px;
      }
    }

    .info {
      margin-top: 0;

      .schoolLogo {
        width: 100px;
        height: 100px;
      }

      .activeCourseStamp, .addAwareStamp {
        font-size: 10px;
      }

      .addAwareBtn {
        width: auto !important;
      }
    }

    .map-wrapper {
      .btn-primary {
        padding: 5px;
        font-size: 10px;
      }

      .map {
        border-right: none !important;
        border-left: none !important;
        border-radius: 0;
      }
    }

    .schoolGallery {
      .schoolGalleryCarousel {
        .carousel {
          border-radius: 0;
        }
      }
    }

    .courseSchool-carousel {
      .otherSchools-carousel {
        span {
          text-align: center !important;
          font-size: 13px !important;
        }

        .carousel {
          .school {
            width: 90%;
          }
        }
      }

      .schoolPageCourses-carousel {
        span {
          font-size: 13px !important;
        }

        .carousel {
          .course {
            width: 90%;
            height: 450px;
            border-radius: $border_radius;
            box-shadow: 0 0 15px -7px #000;
            overflow: hidden;
            margin: 3%;
          }
        }
      }
    }

    .chatTooltip {
      width: 100%;
    }

  }

  #coursePage {
    padding: 10vh 0 70px 0;

    .flickity-prev-next-button {
      width: 25px;
      height: 25px;
    }

    .headerBanner {
      .header-bg-1 {
        object-fit: cover;
        z-index: 1;
      }

      .logo {
        width: 100px;
        height: 100px;
        top: -50px;
      }
    }

    .info {
      .icon {
        font-size: 40px;
      }

      h5 {
        font-size: 15px;
      }
    }

    .addAwareBtn {
      width: 50%;
      font-size: 12px;
      border-radius: 25px !important;
      margin: 0 auto;
      margin-top: 10px;
    }

    .remainingTime {
      width: 100%;
      font-size: 17px;
      border-radius: 0;
      border-color: white !important;
    }

    .paymentInfo {
      height: 170px;
    }

    .map-wrapper {
      .btn-primary {
        padding: 5px;
        font-size: 10px;
      }

      .map {
        border-right: none !important;
        border-left: none !important;
        border-radius: 0;
      }
    }

    .courseSchool-carousel {
      span {
        text-align: center !important;
        font-size: 15px !important;
      }

      .schoolPageCourses-carousel {
        width: 100%;

        .carousel {
          width: 100%;

          .course {
            width: 100%;
            height: 400px;
            margin: 1%;
            border-radius: $border_radius;
            box-shadow: 0 0 15px -7px #000;
            overflow: hidden;

            .header {
              width: 100%;
              height: 35%;
              position: relative;

              .item-header-img {
                width: 100%;
                height: 100%;
                z-index: 100;
                object-fit: contain;
                object-position: top;
              }

              .item-header-img-2 {
                position: absolute;
                width: 100%;
                height: 100%;
                z-index: -1;
                object-fit: cover;
                object-position: center;
                filter: blur(4px);
              }

              .teacher-pic {
                width: 70px;
                height: 70px;
                object-fit: cover;
                object-position: top;
                position: absolute;
                right: 50%;
                transform: translateX(50%);
                top: 75%;
              }

              .discount {
                width: 65px;
                height: 200px;
                background-color: red;
                position: absolute;
                right: -15px;
                top: -80px;
                transform: rotateZ(-45deg);

                span {
                  transform: rotateZ(45deg);
                  position: absolute;
                  top: 85px;
                  right: 30px;
                  font-size: 17px;
                }
              }

            }

            .info {
              height: 65%;
              padding: 10px;

              .rating {
                font-size: 20px;
              }

              .course-title, .course-fee {
                font-size: 15px;
              }

              .total-amount {
                text-decoration: line-through;
              }
            }

          }
        }
      }

      .otherSchools-carousel {
        .carousel {
          .school {
            width: 90%;
          }
        }
      }
    }

    .comments {
      .text-black {
        text-align: center !important;
        font-size: 15px;
      }

      .userInfo {
        img {
          width: 50px;
          vertical-align: -10px;
        }

        .text {
          width: auto;

        }
      }
    }
  }

  #finalRegisterModal {
    .modal-body {
      .registerForOthers {
        .react-switch-container {
          .react-switch {
            .react-switch-bg {
              height: 13px !important;
              width: 35px !important;
            }

            .react-switch-handle {
              width: 20px !important;
              height: 20px !important;
            }
          }
        }
      }
    }
  }

  #profile {
    min-height: 120vh;
  }

  .comments {
    margin-bottom: 70px;

    .comment {
      .text-black {
        font-size: 15px;
      }

      .userInfo {
        img {
          width: 25%;
        }

        .text {
          width: 65%;
        }
      }
    }
  }

  #aboutUs {
    .header {
      height: 270px;
    }
  }

  #usersRequest {
    .MuiFab-root-mobile {
      left: 4%;
      width: 60px;
      height: 60px;
      border-radius: 50%;
      padding: 0;

      .text {
        display: none;
      }
    }
  }

  .giftBox {
    bottom: 13%;
    left: 4%;
  }

  #festival {
    height: 100vh;

    .topRed {
      position: fixed;
      right: 0;
      top: 0;
      width: 70%;
      object-fit: contain;
    }

    .topRedSpan {
      position: fixed;
      top: 10px;
      right: 50px;
      font-family: cursive;
      font-size: 4vw;
    }

    .redDown {
      height: auto;
      object-fit: contain;
    }

    .orangeDown {
      height: auto;
      object-fit: contain;
    }

    .redDownTitle {
      font-size: 16px;
      bottom: 11%;
    }

    .centerVectorDiv {
      width: 420px;
      top: 40px;
      left: 0;

      .centerVectorText {
        padding-right: 40px;
      }
    }

    .loginBtn {
      position: fixed;
      left: 34px;
      bottom: 95px;
      font-size: 15px;
    }

    .offers {
      width: 400px;
      height: 235px;
      left: 50%;
      top: 41%;
      padding: 0;
      transform: translateX(-50%);

      .offer {
        .discount {
          top: 25px;
        }

        .skill {
          top: 30%;
        }

        .text {
          height: 140px;
          font-size: 11px;
          padding: 41px 8px;
        }
      }
    }
  }

  #joinSchoolsModal {
    .MuiStepLabel-label.MuiStepLabel-alternativeLabel {
      font-size: 10px;
    }
  }

  #schoolLanding {
    section {
      &:not(:first-child) {
        padding-top: 100px;
        padding-bottom: 50px;
      }
    }

    .navbar {
      background-color: rgba(2, 31, 126, 1);
      box-shadow: 0px 17px 30px #02207e;
    }

    .h1 {
      font-size: 25px;
    }

    #features {
      .items {
        width: 95%;
        height: auto !important;

        div {
          margin: 10px 0;
        }
      }
    }

    #virtual {
      .items {
        width: 100%;
        height: 550px;

        .item {
          width: 45%;
          height: 200px;
        }
      }
    }

    #ad {
      .h5 {
        font-size: 15px;
      }

      .item {
        border-radius: 20px;
        height: 100px;
        margin-bottom: 20px;
      }
    }
  }
}

//desktop
@media screen and (min-width: 768px) {
  #home {
    .text {
      padding: 0 10%;
    }

    .values-courses {
      height: 100vh;

      .courses {
        .carousel {
          .course {
            min-width: 400px;
          }
        }
      }
    }
  }
  #schoolPage, #coursePage {
    .info {
      .text-left {
        padding-right: 10%;
      }
    }
  }
  #profile {
    padding: 0 10%;

  }
  #usersRequestModal {
    top: unset !important;
    right: unset !important;
    bottom: 5% !important;
    left: 5% !important;
  }
}

//xl displays
@media screen and (min-width: 1200px) {
  #resultPage {
    padding: 10vh 10%;
  }
}

@-webkit-keyframes mover {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-5px);
  }
}

@keyframes mover {
  0% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(-5px);
  }
}

@font-face {
  font-family: IRANSans;
  font-style: normal;
  font-weight: normal;
  src: url('/assets/fonts/IRANSansWeb(FaNum).eot');
  src: url('/assets/fonts/IRANSansWeb(FaNum).eot?#iefix') format('embedded-opentype'), /* IE6-8 */
  url('/assets/fonts/IRANSansWeb(FaNum).woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
  url('/assets/fonts/IRANSansWeb(FaNum).woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('/assets/fonts/IRANSansWeb(FaNum).ttf') format('truetype');
}